Subject: Re: bug#54188: Crash when eval-ing font test elisp code

From: Vordoo <[email-masked]>
Date: Mon, 28 Feb 2022 23:44:47 +0200

On 2/28/22 14:19, Eli Zaretskii wrote:
> If you can establish which font causes this, it could allow us to
> decide whether and how to deal with this issue. Thanks. 
Tested on Emacs: 27.2 | 28.0.60 | 29.0.50
Crashes with fonts: terminal, lucida, charter, Caladings CLM.

For clarity replaced (font-family-list) with an actual font list:
(require 'cl-lib)
(require 'cl-extra)
(let ((str "The quick brown fox jumps over the lazy dog 
´`''\"\"1lI|¦!Ø0Oo{[()]}.,:; ")
       (font-families (cl-remove-duplicates
               (sort '("Standard Symbols PS" "URW Gothic" "Roboto 
Condensed" "Droid Sans") ;; <-- WORKS
                    ;; '("terminal")                              ;; <-- 
CRASH
                    ;; '("lucida" )                            ;;<-- CRASH
                    ;; '("Caladings CLM")                    ;; <-- CRASH
                    ;; '("charter")                            ;; <-- CRASH

                (lambda(x y) (string< (upcase x) (upcase y))))
               :test 'cl-equalp)))
   (dolist (ff font-families)
     (insert
      (propertize str 'font-lock-face `(:family ,ff))               ff "\n"
      (propertize str 'font-lock-face `(:family ,ff :slant italic)) ff 
"\n")))